-- POLLALLITIS Y POLLADAS
-- movimiento del pollaliti
if Accion(ANI_SEL,"ANI_COMBO6") 
   and (Accion(N_FRAME_ACTUAL)>1) 
then
   NextX = NextX  + (Accion(GET_FLIP) * ( 0.8 * FRAMETIME) )
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_POLLALITI1)
   and Accion(OTRO_ANI_SEL,"ANI_COMBO6_OUCH")
   and ( not Accion(ANI_SEL,"ANI_COMBO6_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5") )
   and ( not Accion(SALTANDO) )
then
   Accion(SELECCIONA_ANI,"ANI_COMBO6")
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_POLLADA1)
   and Accion(OTRO_ANI_SEL,"ANI_COMBO6_OUCH")
   and ( not Accion(ANI_SEL,"ANI_COMBO6_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5") )
   and ( not Accion(SALTANDO) )
then
   Accion(SELECCIONA_ANI,"ANI_COMBO5")
end
	
-- SALTO		
if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_UP)
   and (Accion(ANI_SEL,"ANI_BASE1") or  Accion(ANI_SEL,"ANI_RIGHT") )
   and ( not Accion(SALTANDO) )
then
   Accion(SET_SALTOY, -3.5)
   if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_LEFT) then
      Accion(SET_SALTOX, Accion(GET_SALTOX) - 0.6)
   end
   if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_RIGHT) then
      Accion(SET_SALTOX, Accion(GET_SALTOX) + 0.6)
   end
   Accion(SELECCIONA_ANI,"ANI_UP")
end

-- MOVIMIENTOS
if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_LEFT)
   and (Accion(ANI_SEL,"ANI_BASE1") or  Accion(ANI_SEL,"ANI_RIGHT") )
   and ( not Accion(SALTANDO) )
then
   if not Accion(ANI_SEL,"ANI_RIGHT") then
      Accion(SELECCIONA_ANI,"ANI_RIGHT")
   end
   NextX = NextX - ( 0.5 * FRAMETIME)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_RIGHT)
   and (Accion(ANI_SEL,"ANI_BASE1") or  Accion(ANI_SEL,"ANI_RIGHT") )
   and ( not Accion(SALTANDO) )
then
   if not Accion(ANI_SEL,"ANI_RIGHT") then
      Accion(SELECCIONA_ANI,"ANI_RIGHT")
   end
   NextX = NextX + ( 0.5 * FRAMETIME)
end

if (not Accion(TECLADO_TEST, ACCIONBICHO, ACCION_RIGHT))
   and (not Accion(TECLADO_TEST, ACCIONBICHO, ACCION_LEFT))
   and Accion(ANI_SEL,"ANI_RIGHT")
then
   Accion(SELECCIONA_ANI,"ANI_BASE1")
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_DOWN)
   and (Accion(ANI_SEL,"ANI_BASE1") or  Accion(ANI_SEL,"ANI_RIGHT") )
   and ( not Accion(SALTANDO) )
then
   Accion(SELECCIONA_ANI,"ANI_DOWN")
end
	
-- GOLPES
-- TODO: Hay animaciones que el combo no interrumpe (golpeado, ...)
if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_COMBOBOLA)
   and ( not Accion(ANI_SEL,"ANI_COMBO1") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5") )
   and ( not Accion(SALTANDO) )
   and ( Accion(GET_ENERGIA) > ENERGIA_COMBO1)
then
   Accion(SELECCIONA_ANI,"ANI_COMBO1")
   Accion(EFECTO_PAUSA, 0.4)
   Accion(EFECTO_TEMBLOR, 0.4)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_COMBOPUNCH)
   and ( not Accion(ANI_SEL,"ANI_COMBO1") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5_OUCH") )
   and ( not Accion(ANI_SEL,"ANI_COMBO6") )
   and ( not Accion(ANI_SEL,"ANI_COMBO5") )
then
   Accion(SELECCIONA_ANI,"ANI_PUNCH2")
   Accion(PON_SONIDO,Sonido1)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_PUNCH1)
   and (Accion(ANI_SEL,"ANI_UP") 
           or Accion(ANI_SEL,"ANI_BASE1") 
           or  Accion(ANI_SEL,"ANI_RIGHT") )
then
   Accion(SELECCIONA_ANI,"ANI_PUNCH3")
   Accion(PON_SONIDO,Sonido1)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_PUNCH2)
   and (Accion(ANI_SEL,"ANI_UP") 
           or Accion(ANI_SEL,"ANI_BASE1") 
           or  Accion(ANI_SEL,"ANI_RIGHT") )
then
   Accion(SELECCIONA_ANI,"ANI_PUNCH1")
   Accion(PON_SONIDO,Sonido1)
end
	
if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_KICK1)
   and (Accion(ANI_SEL,"ANI_UP") 
           or Accion(ANI_SEL,"ANI_BASE1") 
           or  Accion(ANI_SEL,"ANI_RIGHT") )
then
   Accion(SELECCIONA_ANI,"ANI_KICK1")
   Accion(PON_SONIDO,Sonido1)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_KICK2)
   and (Accion(ANI_SEL,"ANI_UP") 
           or Accion(ANI_SEL,"ANI_BASE1") 
           or  Accion(ANI_SEL,"ANI_RIGHT") )
then
   Accion(SELECCIONA_ANI,"ANI_KICK2")
   Accion(PON_SONIDO,Sonido1)
end

if Accion(TECLADO_TEST, ACCIONBICHO, ACCION_KICK3)
   and ( Accion(ANI_SEL,"ANI_BASE1")  or  Accion(ANI_SEL,"ANI_RIGHT") )
   and ( Accion(GET_BULLET_TIME) <= 0 )
then
   Accion(SET_BULLET_TIME, 2 )
end
